Subject: Re: [stable] [stable-2.6.32 PATCH] ixgbe: backport bug fix for tx panic

From: Greg KH <[email-masked]>
Date: Tue, 25 May 2010 13:18:37 -0700

On Tue, May 25, 2010 at 09:27:25AM -0700, Brandeburg, Jesse wrote:
> 
> 
> On Tue, 25 May 2010, Jeff Kirsher wrote:
> 
> > On Mon, May 10, 2010 at 17:46, Jeff Kirsher <[email-masked]> wrote:
> > > From: Jesse Brandeburg <[email-masked]>
> > >
> > > backporting this commit:
> > >
> > > commit fdd3d631cddad20ad9d3e1eb7dbf26825a8a121f
> > > Author: Krishna Kumar <[email-masked]>
> > > Date:   Wed Feb 3 13:13:10 2010 +0000
> > >
> > >    ixgbe: Fix return of invalid txq
> > >
> > >    a developer had complained of getting lots of warnings:
> > >
> > >    "eth16 selects TX queue 98, but real number of TX queues is 64"
> > >
> > >    http://www.mail-archive.com/[email-masked]/msg02200.html
> > >
> > >    As there was no follow up on that bug, I am submitting this
> > >    patch assuming that the other return points will not return
> > >    invalid txq's, and also that this fixes the bug (not tested).
> > >
> > >    Signed-off-by: Krishna Kumar <[email-masked]>
> > >    Signed-off-by: Jesse Brandeburg <[email-masked]>
> > >    Acked-by: Peter P Waskiewicz Jr <[email-masked]>
> > >    Signed-off-by: Jeff Kirsher <[email-masked]>
> > >    Signed-off-by: David S. Miller <[email-masked]>
> > >
> > > CC: Brandon <[email-masked]>
> > > Signed-off-by: Jesse Brandeburg <[email-masked]>
> > > ---
> > >
> > >  drivers/net/ixgbe/ixgbe_main.c |    8 ++++++--
> > >  1 files changed, 6 insertions(+), 2 deletions(-)
> > >
> > 
> > Greg - status?  Did you queue this patch for the stable release and I missed it?
> 
> Maybe we didn't say (and we should have) that this fixes a panic on 
> machines with > 64 cores.  Please apply to -stable 32.

I'll get to it for the next release after this one, if that's ok.

thanks,

greg k-h